org.gcube.dataanalysis.dataminer.poolmanager.ansible.model

## Class Inventory

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.ansible.model.Inventory

    public class Inventory
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Inventory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addGroup(HostGroup group)`
`void` `addHost(AnsibleHost h, String groupName)`
`Collection<HostGroup>` `getHostGroups()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Inventory

    public Inventory()

### Method Detail

#### addGroup

    public void addGroup(HostGroup group)

#### addHost

    public void addHost(AnsibleHost h,
                        String groupName)

#### getHostGroups

    public Collection<HostGroup> getHostGroups()